View Issue Details

IDProjectCategoryView StatusLast Update
0000010FreeCADBugpublic2009-10-31 13:32
ReporterJriegelAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.8 
Target Version0.9Fixed in Version0.9 
Summary0000010: pivy does not work and leads to runtime failures
Descriptionthe included pivy libraries want libcoin.so.40 . coin-3.1.0 provides
libcoin.so.60 . the included pivy version (svn) does not compile with the
latest versions of all packages including pivy, soqt, pyqt4 and coin.
please let me know what you need to see. I encounter this issue when
loading the part workbench
Additional InformationFixed.
TagsNo tags attached.

Activities

Jriegel

2009-09-28 10:40

administrator   ~0000002

wmayer:

Please let me know on which system you're working on and which of the four
pivy packages you refer to.

Jriegel

2009-09-28 10:41

administrator   ~0000003

phreak4257:

I am using linux, and the pivy version that wants libCoin.so.40 is the
precompiled 3rd party version under 3rdparty/Pivy. the Pivy_trunk will not
compile. I have coin 3.1.0, SoQt 1.4.1, python 2.6 qt 4.5.2 PyQt4 4.5.4-r4
and opencascade 6.3-r1.

Jriegel

2009-09-28 10:42

administrator   ~0000005

wmayer:

There is an instruction at
http://sourceforge.net/apps/mediawiki/free-cad/index.php?title=Extra_python_modules#Pivy

The limitation with swig 1.3.25 may have gone, I think. If you're using an
Ubuntu or Debian system you'll find pre-built packages in the download
area.

Jriegel

2009-09-28 10:42

administrator   ~0000007

I just tried out the build instructions. All what you need to do is
(Pivy_trunk):
python setup.py build
wmayer:

python setup.py install

Possibly you get an error that the method SoQt::getVersionToolkitString()
is not defined (due to a too old SoQt version). In that case comment out
the appropriate lines.

Actually it's up to the Linux distributors to offer a Pivy package because
there are so many different versions of Coin & SoQt around there so that
it's simply impossible to support all of them

Jriegel

2009-09-28 10:42

administrator   ~0000009

phreak4257:

running build_py
package init file 'pivy/quarter/plugins/designer/python/__init__.py' not
found (or not a regular file)
package init file 'pivy/quarter/plugins/designer/python/__init__.py' not
found (or not a regular file)
running build_ext
building 'gui._soqt' extension
x86_64-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -DNDEBUG -fPIC
-I/usr/include/python2.6 -c pivy/gui/soqt_wrap.cpp -o
build/temp.linux-x86_64-2.6/pivy/gui/soqt_wrap.o -Iinterfaces
-I/usr/include/Inventor/annex -D_REENTRANT -I/usr/include/qt4
-I/usr/include/qt4/Qt -DQT_DLL
In file included from /usr/include/python2.6/Python.h:125,
from pivy/gui/soqt_wrap.cpp:149:
/usr/include/python2.6/modsupport.h:27: warning: 'PyArg_ParseTuple' is an
unrecognized format function type
pivy/gui/soqt_wrap.cpp: In function 'void
initialize_pyqt_module_import_name()':
pivy/gui/soqt_wrap.cpp:3512: warning: deprecated conversion from string
constant to 'char*'
pivy/gui/soqt_wrap.cpp:3514: error: 'getVersionToolkitString' is not a
member of 'SoQt'
pivy/gui/soqt_wrap.cpp:3515: error: 'getVersionToolkitString' is not a
member of 'SoQt'
pivy/gui/soqt_wrap.cpp:3516: warning: deprecated conversion from string
constant to 'char*'
error: command 'x86_64-pc-linux-gnu-gcc' failed with exit status 1

Jriegel

2009-09-28 10:43

administrator   ~0000012

phreak4257:

Ok, I had time to play with it more, and it at least compiles. Will let you
know if it works.

Issue History

Date Modified Username Field Change
2009-09-28 10:39 Jriegel New Issue
2009-09-28 10:40 Jriegel Note Added: 0000002
2009-09-28 10:41 Jriegel Assigned To => wmayer
2009-09-28 10:41 Jriegel Status new => assigned
2009-09-28 10:41 Jriegel Note Added: 0000003
2009-09-28 10:42 Jriegel Note Added: 0000005
2009-09-28 10:42 Jriegel Note Added: 0000007
2009-09-28 10:42 Jriegel Note Added: 0000009
2009-09-28 10:43 Jriegel Note Added: 0000012
2009-10-14 10:23 wmayer Status assigned => closed
2009-10-14 10:23 wmayer Resolution open => fixed
2009-10-14 10:23 wmayer Additional Information Updated
2009-10-31 13:32 Jriegel Fixed in Version => 0.9